# @cosmwallet/config-typescript

Common `TypeScript` configuration for `CosmWallet` libraries.

Tool: [TypeScript](https://www.typescriptlang.org/)

Exposed CLI commands:

- `cosmwallet-config-ts-compile`
- `cosmwallet-config-ts-build`

## Usage

Add `tsconfig.json`:

```json
{
  "extends": "@cosmwallet/config-typescript/tsconfig.json",
  "include": ["src/**/*.ts", "test/**/*.ts"]
}
```

Add `tsconfig.prod.json`:

```json
{
  "extends": "@cosmwallet/config-typescript/tsconfig.prod.json",
  "include": ["src/**/*.ts"]
}
```

Use CLI commands above in your `package.json`:

```json
  "scripts": {
    "tsc":   "cosmwallet-config-ts-compile",
    "build": "cosmwallet-config-ts-build"
  }
```
